Update shippingAgentService
Update the properties of a shippingAgentService object for Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
PATCH {businesscentralPrefix}/companies({id})/shippingAgentServicesWebCon({id})
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
| If-Match | Required. When this request header is included and the eTag provided does not match the current tag on the shipping agent service, the shipping agent service will not be updated. |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
Response
If successful, this method returns a 200 OK response code and an updated shippingAgentService object in the response body.
Example
Request
Here is an example of the request.
PATCH https://{businesscentralPrefix}/companies({id})/shippingAgentServicesWebCon({id})
Content-type: application/json
{
"shippingAgentCode": "FLIP",
"code": "STANDARD",
"description": "Standardlieferung Flip"
}
Response
Here is an example of the reponse.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "472a5037-0a48-ee11-a0d4-e7ca2d5f065c",
"shippingTime": "",
"baseCalendarCode": "",
"shippingAgentCode": "FLIP",
"code": "STANDARD",
"description": "Standardlieferung Flip"
}
See also
Tips for working with the APIs
shippingAgentService
Get shippingAgentService
Delete shippingAgentService
Create shippingAgentService